package model.shapes;

import java.awt.*;

/**
 * Shape interface.
 *
 * @author Mathias Ricken
 */
public interface IShape {
	/**
	 * Make the factory that can create this kind of IShape.
	 * @return factory to make this IShape
	 */
	AShapeFactory makeFactory();

	/**
	 * Paint this shape.
	 * @param g graphics object
	 */
	void paint(Graphics g);
}
