package view;

import model.shapes.AShapeFactory;

/**
 * Adapter to tell the model to change settings.
 *
 * @author Mathias Ricken
 */
public interface ISettingsAdapter {
	/**
	 * Change the shape by using the factory.
	 * @param factory factory to create new shape
	 */
	void changeShape(AShapeFactory factory);

	/**
	 * Return an array of shape class names.
	 * @return array of class names
	 */
	String[] getShapeClassNames();
}
